// @note - inspired by https://www.layoutgridcalculator.com/typographic-scale/
// @TODO - https://medium.com/codyhouse/create-your-design-system-part-1-typography-7c630d9092bd
// @TODO - typography rhythm (see http://matejlatin.github.io/Gutenberg/ or https://github.com/jakegiltsoff/sassline)
h1, h2, h3, h4, h5, h6 {
    font-weight: bold;
    line-height: $headings-line-height;
    word-break: break-word;
}

h1 {
    margin: $headings-line-height * 2rem 0;
}

h2 {
    line-height: 1em;
    margin: $headings-line-height * 1.5rem 0 $headings-line-height * .5rem;
}

h3 {
    line-height: 1em;
    margin: $headings-line-height * 2rem 0 $headings-line-height * .5rem;
}

h4, h5, h6 {
    margin: $headings-line-height * 1.5rem 0 $headings-line-height * .5rem;
}

@for $i from 1 through 6 {
    h#{$i} {
        @include font-size(modular-scale(7 - $i, $font-size-base, $headings-line-height, 3));
    }
}

@mixin blockquote($font-size: $font-size-base, $line-height: $line-height-base) {
    @include font-size($font-size * 1.1);
    line-height: $line-height;
    margin: $line-height * 1.5rem $line-height * .5rem;

    p {
        margin-bottom: 0;
    }

    footer {
        font-size: .8em;
        font-style: italic;

        &::before {
            content: '\2014\00A0';
        }
    }
}

blockquote {
    @include blockquote($font-size-base, $line-height-base);
}

p {
    @include font-size($font-size-base);
    margin: $line-height-base * 1rem 0;
    line-height: $line-height-base;

    // Increase clickable area on links
    // @link https://joshnh.com/weblog/increasing-the-clickable-area-of-inline-links/
    a {
        margin: -.5em;
        padding: .5em;
        position: relative;
    }
}

.lead {
    @include font-size($font-size-base * 1.1);
    font-weight: 300;
}

small {
    font-size: .8em;
}

a {
    cursor: pointer;
    outline: none;
    text-decoration: none;
    word-break: break-word;

    &[href^="tel:"] {
        &:hover,
        &:focus {
            text-decoration: none !important;
        }
    }

    &:hover,
    &:focus {
        outline: none;
    }
}

// @TODO - hr, ul, ol, dl, code, abbr, cite, kdb
